Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Downgrade Mysql Server from 5.6 to 5.5

Discussion in 'Database Discussion' started by YasIT, May 7, 2014.

  1. YasIT

    YasIT Active Member

    Joined:
    Jan 3, 2014
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    Hello.

    I was upgarde mysql server to 5.6 software in WHM.

    Now , how to downgarde mysql server from 5.6 to 5.5?!

    Some scripts show error connect to database example : vbulletin , ...

    Thank you.
     
  2. cPanelPeter

    cPanelPeter Technical Analyst III
    Staff Member

    Joined:
    Sep 23, 2013
    Messages:
    575
    Likes Received:
    20
    Trophy Points:
    143
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello,

    Downgrading of MySQL is not supported. It would be best to determine what the errors are and fix them rather than trying to downgrade. The changes from 5.5 to 5.6 should be fairly minimal and it would be easier to find the cause and fix it rather than downgrading.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,385
    Likes Received:
    1,951
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello :)

    Could you check the error_log within the account to determine the specific error message you receive, as it relates to MySQL?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  4. YasIT

    YasIT Active Member

    Joined:
    Jan 3, 2014
    Messages:
    38
    Likes Received:
    0
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    my problem was lite speed version mysql server.
    re-install lite speed webserver fix my problem.

    command "php -i" output mysqlserver 5.6 but command :

    root@bazdid [~]# /usr/local/lsws/fcgi-bin/lsphp5 -i | grep "header"
    mail.add_x_header => Off => Off
    Client API header version => 5.5.16
    suhosin.multiheader => Off => Off

    Thank you.
     
  5. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,385
    Likes Received:
    1,951
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    I am happy to see you were able to resolve the issue. Thank you for updating us with the outcome.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice